<?php
  /**
   * By Uriel
   */
  require_once "../controllers/ventas.controller.php";
  require_once "../models/ventas.model.php";
  class AjaxVentas
  {
    /*==================================
      Variables globales para cargar datos que llegan de JS
    ==================================*/
    public $datos;
    public $dato;
    public function ajaxGetSalesByStore(){
      //$valor = $this->dato;
      
      $array = json_decode($this->dato, true);
      $datos = array('fecha' => $array['fecha'],
                     'week' => $array['week'],
                     'year' => $array['year']);

      if ($datos > 0) {
        $item = 'fecha';
        $respuesta = ControladorVentas::ctrGetSalesByStore($item,$datos);
        echo json_encode($respuesta);
      }
    }
   

  }
  /*=============================================
   GET SALES BY STORE
  =============================================*/
  if(isset($_POST["GetSalesByStore_"])){
    $ventas = new AjaxVentas();
    $ventas -> dato = $_POST["GetSalesByStore_"];
    $ventas -> ajaxGetSalesByStore();
  }
 
 ?>
